<h2>Hunde:</h2>
<ul>
    <?php foreach ($dogs as $dog) : ?>
        <li><a href="#<?= $dog ?>"><?= $dog ?></a></li>
    <?php endforeach; ?>
</ul>


<?php foreach ($dogs as $dog) :

    $dogid=preg_replace("/[^A-Za-z0-9]/", '', $dog);
    $results = $results_dogs[$dog];
    $sdata = [];
?>

    <h1 id="<?= $dogid; ?>"><?= $dog; ?></h1>

    <button onClick="getElementById('table_<?= $dog ?>').style.display='table'">Tabelle anzeigen</button>
    <table id="table_<?= $dog ?>" class="table" style="display:none">
        <tr>
            <th>Event</th>
            <th>Datum</th>
            <th>Lauf</th>
            <th>Stnr.</th>
            <th>Teilnehmer</th>
            <th>Hund</th>
            <th>Verein</th>
            <th>F</th>
            <th>VW</th>
            <th>ZF</th>
            <th>Zeit</th>
            <th>GF</th>
            <th>m/sek</th>
            <th>Bew</th>
            <th>Punkte</th>
            <th>Rang</th>
            <th>Aktion</th>
        </tr>
        <?php foreach ($results as $res) :
            // graph data preparation

            if ($res['bew'] != 'DIS' && $res['punkte'] != 'DIS')
            {
                $sdata['dates'][] = date("d.m.Y", strtotime($res['date']));
                $sdata['speed'][] = $res['msek'] ?: 0;
                $sdata['errors'][] = $res['f'] ?: 0;
                $sdata['refusals'][] = $res['vw'] ?: 0;
                $sdata['time'][] = $res['zeit'] ?: 0;
                $sdata['points'][] = $res['punkte'];
                $sdata['ranking'][] = $res['rang'];
            }

            ?>
                <tr>
                    <td><?= $res['event'] ?></td>
                    <td><?= date("d.m.Y", strtotime($res['date'])) ?></td>
                    <td><?= $res['run'] ?></td>
                    <td><?= $res['stnr'] ?></td>
                    <td><?= $res['teilnehmer'] ?></td>
                    <td><?= $res['hund'] ?></td>
                    <td><?= $res['verein'] ?></td>
                    <td><?= $res['f'] ?></td>
                    <td><?= $res['vw'] ?></td>
                    <td><?= $res['zf'] ?></td>
                    <td><?= $res['zeit'] ?></td>
                    <td><?= $res['gf'] ?></td>
                    <td><?= $res['msek'] ?></td>
                    <td><?= $res['bew'] ?></td>
                    <td><?= $res['punkte'] ?></td>
                    <td><?= $res['rang'] ?></td>
                    <td><a href="#" class="btn btn-primary" title="Importieren"><i class="fas fa-file-import"></i></a></td>

            </tr>
        <?php endforeach; ?>
    </table>


    <h4>Statistik</h4>

    <div class="card" style="width: 25rem;">
        <ul class="list-group list-group-flush">
            <li class="list-group-item"><i class="fas fa-rabbit-fast"></i> Durchschnittsgeschwinigkeit: <span class="badge bg-primary" style="float:right;"><?= $averagespeed ?> m/s</span></li>
            <li class="list-group-item"><i class="fas fa-exclamation-triangle"></i> Fehler pro Lauf: <span class="badge bg-primary" style="float:right;"><?= $averageerrors ?></span></li>
            <li class="list-group-item"><i class="fas fa-do-not-enter"></i> Verweigerungen pro Lauf: <span class="badge bg-primary" style="float:right;"><?= $averagerefusals ?></span></li>
            <li class="list-group-item"><i class="fas fa-trophy-alt"></i> Durchschnittliche Platzierung: <span class="badge bg-primary" style="float:right;"><?= $averageranking ?></span></li>
        </ul>
    </div>
    <br/>

    <div class="row">
        <?php if (count($results) > 0) : ?>
            <div class="col">
                <?= partial('graph.html.php', [
                    'id' => 'graph1'.$dogid,
                    'title' => 'Fehler und Verweigerungen',
                    'xaxis' => $sdata['dates'],
                    'seriesdata' => [
                        ['name' => 'Fehler', 'type' => 'line', 'stack' => 'Total', 'data' => $sdata['errors']],
                        ['name' => 'Verweigerungen', 'type' => 'line', 'stack' => 'Total', 'data' => $sdata['refusals']],
                    ],
                ]);
                ?>
            </div>

            <div class="col">
                <?= partial('graph.html.php', [
                    'id' => 'graph2'.$dogid,
                    'title' => 'Geschwindigkeit',
                    'xaxis' => $sdata['dates'],
                    'seriesdata' => [
                        ['name' => 'Geschwindigkeit', 'type' => 'line', 'stack' => 'Total', 'data' => $sdata['speed']],
                    ],
                ]);
                ?>
            </div>

            <div class="col">
                <?= partial('graph.html.php', [
                    'id' => 'graph3'.$dogid,
                    'title' => 'Platzierung',
                    'xaxis' => $sdata['dates'],
                    'seriesdata' => [
                        ['name' => 'Platzierung', 'type' => 'line', 'stack' => 'Total', 'data' => $sdata['ranking']],
                    ],
                ]);
                ?>
            </div>
    </div>

<?php endif; ?>


<hr>

<?php endforeach; ?>